From: "Alex Brandt" <alunduil@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/os-client-config/
Date: Sun, 16 Aug 2015 23:05:27 +0000 (UTC) [thread overview]
Message-ID: <1439766307.f8c0bf57edbd1d0dea965335d5277d68a34970be.alunduil@gentoo> (raw)
commit: f8c0bf57edbd1d0dea965335d5277d68a34970be
Author: Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 16 23:04:41 2015 +0000
Commit: Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sun Aug 16 23:05:07 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8c0bf57
dev-python/os-client-config: add version 1.6.3
Package-Manager: portage-2.2.20.1
dev-python/os-client-config/Manifest | 1 +
.../os-client-config/os-client-config-1.6.3.ebuild | 74 ++++++++++++++++++++++
2 files changed, 75 insertions(+)
diff --git a/dev-python/os-client-config/Manifest b/dev-python/os-client-config/Manifest
index ddc867b..b11b002 100644
--- a/dev-python/os-client-config/Manifest
+++ b/dev-python/os-client-config/Manifest
@@ -1 +1,2 @@
DIST os-client-config-1.6.1.tar.gz 28783 SHA256 24323a33fe4ec4ff0c71a91aa16d26f4c4320f0b0234c5ac22d08f99e2f5c24d SHA512 3f71b17d70f2e7a75e6530203f84a5d32d9bb8c517d1379033ad5fb1d864bcb58c2b026bd2f177fe415b6c03498518bb5abb23df710c66ffd828619aeaf2a4f4 WHIRLPOOL 326c912ae153ad0bcbc7988743be880cb4b7be17762fee8a7ae82946f3502ca9085d0f17726c7d5f7aec4a81968d134674dfc55de3a14d91773279c66db445cb
+DIST os-client-config-1.6.3.tar.gz 25695 SHA256 c7bf7c91bd99e9501a6a2e5415ce4026f0d022d5df9d6123bc935db6108a423f SHA512 411e32c38fec5146eaf01c9fa0f7e1c5ff61c35847604ae2d3a4316a06bfc1b86be83166bf6cd0debef3a352483ee9119471e7a535ff01e264c42f516499b3b4 WHIRLPOOL 5799f8f4ac684e389888c0f5511d5c11ae39dde038d53b74deb29508b0d631cb17e72ea94bf4a343c5f7816aae5f92e19c53d490f46f40c723be69b82d543c65
diff --git a/dev-python/os-client-config/os-client-config-1.6.3.ebuild b/dev-python/os-client-config/os-client-config-1.6.3.ebuild
new file mode 100644
index 0000000..1ef8b3f
--- /dev/null
+++ b/dev-python/os-client-config/os-client-config-1.6.3.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenStack Client Configuation Library"
+HOMEPAGE="http://www.openstack.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="dev-python/pbr[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ dev-python/extras[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.5.1[${PYTHON_USEDEP}]
+ <dev-python/oslotest-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-0.9.36[${PYTHON_USEDEP}]
+ !~dev-python/testtools-1.2.0[${PYTHON_USEDEP}]
+ )
+ doc? (
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-sphinx-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/appdirs-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.1.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}"/test_get_all_clouds.patch
+ )
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && esetup.py build_sphinx
+}
+
+python_test() {
+ distutils_install_for_testing
+
+ rm -rf .testrepository || die "couldn't remove '.testrepository' under ${EPTYHON}"
+
+ testr init || die "testr init failed under ${EPYTHON}"
+ testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+
+ distutils-r1_python_install_all
+}
next reply other threads:[~2015-08-16 23:05 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-08-16 23:05 Alex Brandt [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-08 13:26 [gentoo-commits] repo/gentoo:master commit in: dev-python/os-client-config/ Michał Górny
2024-06-18 8:38 Michał Górny
2024-01-28 19:37 Michał Górny
2022-11-14 6:52 Arthur Zamarin
2022-05-28 21:12 Jakov Smolić
2022-04-01 18:45 Michał Górny
2022-04-01 17:41 Arthur Zamarin
2022-04-01 17:41 Arthur Zamarin
2022-04-01 17:41 Arthur Zamarin
2022-02-24 18:46 Michał Górny
2021-12-17 9:15 Michał Górny
2021-11-17 9:00 Michał Górny
2021-11-17 7:49 Sam James
2021-10-31 17:58 Sam James
2021-10-31 17:55 Sam James
2021-09-30 12:18 Arthur Zamarin
2021-01-24 0:07 Sam James
2020-11-18 9:43 Michał Górny
2020-11-18 9:43 Michał Górny
2020-11-17 21:15 Thomas Deutschmann
2020-11-14 22:00 Michał Górny
2020-10-11 1:29 Matthew Thode
2020-02-11 19:06 Matthew Thode
2019-05-11 19:25 Matthew Thode
2019-05-08 4:22 Matthew Thode
2019-04-10 22:44 Matthew Thode
2019-03-25 0:07 Matthew Thode
2018-03-10 16:29 Matt Thode
2018-02-16 6:08 Matt Thode
2018-01-28 4:13 Matt Thode
2017-08-28 21:52 Matt Thode
2017-03-13 1:30 Zac Medico
2017-02-27 4:27 Matt Thode
2016-03-25 23:39 Matt Thode
2016-02-09 9:33 Justin Lecher
2015-11-10 8:24 Agostino Sarubbo
2015-11-10 8:19 Agostino Sarubbo
2015-09-01 15:06 Matt Thode
2015-08-16 15:10 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1439766307.f8c0bf57edbd1d0dea965335d5277d68a34970be.alunduil@gentoo \
--to=alunduil@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox